commit: f494d619a2b342f7e5f4353788bfeaaf0811f161
Author: Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 12 03:33:18 2017 +0000
Commit: Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Sun Mar 12 03:33:18 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f494d619
dev-libs/efl: add USE=unwind to control libunwind dep #611108
dev-libs/efl/efl-1.17.0-r1.ebuild | 10 +++++++++-
dev-libs/efl/efl-9999.ebuild | 10 +++++++++-
dev-libs/efl/metadata.xml | 1 +
3 files changed, 19 insertions(+), 2 deletions(-)
diff --git a/dev-libs/efl/efl-1.17.0-r1.ebuild
b/dev-libs/efl/efl-1.17.0-r1.ebuild
index 21a45a95a33..9d3d409157c 100644
--- a/dev-libs/efl/efl-1.17.0-r1.ebuild
+++ b/dev-libs/efl/efl-1.17.0-r1.ebuild
@@ -22,7 +22,7 @@ inherit enlightenment pax-utils
DESCRIPTION="Enlightenment Foundation Libraries all-in-one package"
LICENSE="BSD-2 GPL-2 LGPL-2.1 ZLIB"
-IUSE="+bmp debug drm +eet egl fbcon +fontconfig fribidi gif gles glib gnutls
gstreamer harfbuzz +ico ibus jpeg2k libressl neon oldlua opengl ssl physics
pixman +png +ppm +psd pulseaudio scim sdl sound systemd tga tiff tslib v4l
valgrind wayland webp X xim xine xpm"
+IUSE="+bmp debug drm +eet egl fbcon +fontconfig fribidi gif gles glib gnutls
gstreamer harfbuzz +ico ibus jpeg2k libressl neon oldlua opengl ssl physics
pixman +png +ppm +psd pulseaudio scim sdl sound systemd tga tiff tslib unwind
v4l valgrind wayland webp X xim xine xpm"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sh sparc x86 ~amd64-fbsd
~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris
~x86-solaris"
REQUIRED_USE="
@@ -76,6 +76,7 @@ RDEPEND="
systemd? ( sys-apps/systemd )
tiff? ( media-libs/tiff:0= )
tslib? ( x11-libs/tslib )
+ unwind? ( sys-libs/libunwind )
valgrind? ( dev-util/valgrind )
wayland? (
>=dev-libs/wayland-1.8.0
@@ -176,6 +177,13 @@ src_prepare() {
-e '/^#### Work around bug in automake check macro$/,/^####
Info$/d' \
-e '/BARF_OK=/s:=.*:=:' \
configure || die
+
+ # Upstream doesn't offer a configure flag. #611108
+ if ! use unwind ; then
+ sed -i \
+ -e 's:libunwind libunwind-generic:xxxxxxxxxxxxxxxx:' \
+ configure || die
+ fi
}
src_configure() {
diff --git a/dev-libs/efl/efl-9999.ebuild b/dev-libs/efl/efl-9999.ebuild
index 4bf654c4816..e051bea2d47 100644
--- a/dev-libs/efl/efl-9999.ebuild
+++ b/dev-libs/efl/efl-9999.ebuild
@@ -22,7 +22,7 @@ inherit enlightenment pax-utils
DESCRIPTION="Enlightenment Foundation Libraries all-in-one package"
LICENSE="BSD-2 GPL-2 LGPL-2.1 ZLIB"
-IUSE="+bmp debug drm +eet egl fbcon +fontconfig fribidi gif gles glib gnutls
gstreamer harfbuzz +ico ibus jpeg2k libressl neon oldlua opengl ssl physics
pixman +png +ppm +psd pulseaudio raw scim sdl sound systemd tga tiff tslib v4l
valgrind wayland webp X xim xine xpm"
+IUSE="+bmp debug drm +eet egl fbcon +fontconfig fribidi gif gles glib gnutls
gstreamer harfbuzz +ico ibus jpeg2k libressl neon oldlua opengl ssl physics
pixman +png +ppm +psd pulseaudio raw scim sdl sound systemd tga tiff tslib
unwind v4l valgrind wayland webp X xim xine xpm"
REQUIRED_USE="
pulseaudio? ( sound )
@@ -76,6 +76,7 @@ RDEPEND="
systemd? ( sys-apps/systemd )
tiff? ( media-libs/tiff:0= )
tslib? ( x11-libs/tslib )
+ unwind? ( sys-libs/libunwind )
valgrind? ( dev-util/valgrind )
wayland? (
>=dev-libs/wayland-1.8.0
@@ -174,6 +175,13 @@ src_prepare() {
-e '/^#### Work around bug in automake check macro$/,/^####
Info$/d' \
-e '/BARF_OK=/s:=.*:=:' \
configure || die
+
+ # Upstream doesn't offer a configure flag. #611108
+ if ! use unwind ; then
+ sed -i \
+ -e 's:libunwind libunwind-generic:xxxxxxxxxxxxxxxx:' \
+ configure || die
+ fi
}
src_configure() {
diff --git a/dev-libs/efl/metadata.xml b/dev-libs/efl/metadata.xml
index 61f2879cfd4..24801d968fb 100644
--- a/dev-libs/efl/metadata.xml
+++ b/dev-libs/efl/metadata.xml
@@ -24,6 +24,7 @@
<flag name="scim">Enable Smart Common Input Method</flag>
<flag name="tga">Enable Tga image loader</flag>
<flag name="tslib">Enable <pkg>x11-libs/tslib</pkg> for touchscreen
events</flag>
+ <flag name="unwind">Enable debug support via
<pkg>sys-libs/libunwind</pkg></flag>
<flag name="valgrind">Enable usage of <pkg>dev-util/valgrind</pkg> in
debug</flag>
<flag name="webp">Enable WebP image loader</flag>
<flag name="xim">Enable X Input Method</flag>